# $Revision: 1.20 $, $Date: 2002/07/22 21:36:02 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Filesys
%define	pnam	DiskFree
Summary:	Filesys::DiskFree Perl module
Summary(cs):	Modul Filesys::DiskFree pro Perl
Summary(da):	Perlmodul Filesys::DiskFree
Summary(de):	Filesys::DiskFree Perl Modul
Summary(es):	Mdulo de Perl Filesys::DiskFree
Summary(fr):	Module Perl Filesys::DiskFree
Summary(it):	Modulo di Perl Filesys::DiskFree
Summary(ja):	Filesys::DiskFree Perl ⥸塼
Summary(ko):	Filesys::DiskFree  
Summary(no):	Perlmodul Filesys::DiskFree
Summary(pl):	Modu perla Filesys::DiskFree
Summary(pt_BR):	Mdulo Perl Filesys::DiskFree
Summary(pt):	Mdulo de Perl Filesys::DiskFree
Summary(ru):	  Perl Filesys::DiskFree
Summary(sv):	Filesys::DiskFree Perlmodul
Summary(uk):	  Perl Filesys::DiskFree
Summary(zh_CN):	Filesys::DiskFree Perl ģ
Name:		perl-Filesys-DiskFree
Version:	0.06
Release:	10
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
Obsoletes:	perl-DiskFree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Filesys::DiskFree - perform the Unix command 'df' in a portable
fashion.

%description -l pl
Filesys::DiskFree - 'df' dla perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -af eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README eg
%{perl_sitelib}/Filesys/DiskFree.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Filesys-DiskFree.spec,v $
Revision 1.20  2002/07/22 21:36:02  ankry
- translations, cleaning
- added examples
- release 10

Revision 1.19  2002/07/21 00:52:03  kloczek
- release 9: use new %doc.

Revision 1.18  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:26  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:09  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/04 01:51:21  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
